# Type alias Case<TypeType, ValueType, RequestType>

Case<TypeType, ValueType, RequestType>: ((dataType, input, options) => Generator<RequestType, ValueType, WrapResponse>)

#### Type Parameters

- #### TypeType

- #### ValueType

- #### RequestType

#### Type declaration

- - (dataType, input, options): Generator<RequestType, ValueType, WrapResponse>

  - #### Parameters

    - ##### dataType: TypeType

    - ##### input: unknown

    - ##### options: WrapOptions

    #### Returns Generator<RequestType, ValueType, WrapResponse>

- Defined in codec/lib/wrap/types.ts:57

Generated using TypeDoc